Loading...
Searching...
No Matches
smartsMatcher.h File Reference
`#include <BALL/STRUCTURE/smartsParser.h>`
`#include <vector>`
`#include <set>`
`#include <map>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

class | BALL::SmartsMatcher
class | BALL::SmartsMatcher::RecStructCore_
| core structure of the recursive matching algorithm for the object pool More...
class | BALL::SmartsMatcher::RecStructPool_
| class which does the pool operations of the RecStructCore_ pool More...
class | BALL::SmartsMatcher::RecStruct_
| a wrapper class which is used as an interface in the matching code to the pool More...

## Namespaces

namespace | BALL